View custom operator details¶
View the configuration of a custom operator. This allows you to confirm implementation, input and output definitions, and enablement status.
HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/custom-operators/$OPERATOR_ID
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
First query custom operator list to confirm the operator you want to view.
Request¶
Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/custom-operators/$OPERATOR_ID" \
-H "X-API-Key: $CLOUDSIGMA_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID"
Request parameters
Successful response¶
The response returns operator configuration. Input, output, and binding configurations are returned as serialized content and can be used to configure workflows or test inputs as defined by the fields within them.
The response fields are as follows.
JSON
{
"code": "OK",
"msg": "OK",
"data": {
"id": 123,
"node_id": "moi:custom.operator:workspace:text_counter",
"name": "文本计数",
"identifier": "text_counter",
"description": "统计输入文本的字符数。",
"version": "v1",
"input_schema": "{\"type\":\"object\"}",
"output_schema": "{\"type\":\"object\"}",
"enabled": true
}
}
| Field | Type | Description |
|---|---|---|
code | string | OK on success. |
msg | string | OK on success. |
data.id | integer | Custom operator ID. |
data.node_id | string | Operator ID in the workflow. |
data.name | string | Operator name. |
data.identifier | string | Operator ID. |
data.description | string | Operator description; returned if there is a value. |
data.version | string | Operator version; returned if there is a value. |
data.language | integer | Implements the numerical encoding of the language; returns if there is a value. |
data.kind | integer | Numeric encoding of the operator type; returned if there is a value. |
data.handler | string | Processing function; returns if there is a value. |
data.isolation_level | string | Isolation configuration; returned if there is a value. |
data.source_file_id | string | Source file ID; returned when created using a source file. |
data.input_schema | string | Enter the defined serialization content. |
data.output_schema | string | Output the defined serialized content. |
data.binding_config | string | The serialized content of the binding configuration; returned if there is a value. |
data.created_by | string | Creator ID; returned if there is a value. |
data.updated_by | string | Last updater ID; returned if there is a value. |
data.created_at | integer | Creation timestamp; returned if there is a value. |
data.updated_at | integer | Last updated timestamp; returned if there is a value. |
data.base_node_id | string | The basic operator associated with the built-in binding type; returned when there is a value. |
data.base_node_version | string | The basic operator version associated with the built-in binding type; returned when there is a value. |
data.catalog_id | integer | The associated Catalog ID; returned if there is a value. |
data.database_id | integer | The associated database ID; returned if there is a value. |
data.enabled | boolean | Whether the operator is enabled. |
Error response¶
JSON
{
"code": "ErrParamInvalid",
"msg": "请求参数无效",
"data": null
}
| Field | Type | Description |
|---|---|---|
code | string | Error code. |
msg | string | Readable error message. |
data | null | `null` in an error response. |
Follow-up operations¶
When modification is required, Update custom operator. When returning the list query custom operator list.
Last updated on